Problème à l'installation

Bonjour,

je rencontre un problème à l’installation de Cesium sous Debian10. J’ai bien téléchargé le fichier cesium-desktop-v1.6.12-linux-x64.deb sur le site, il est bien dans mon dossier perso et quand je tape la commande
apt install cesium-desktop-v1.6.12-linux-x64.deb,
j’obtiens :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet cesium-desktop-v1.6.12-linux-x64.deb
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « cesium-desktop-v1.6.12-linux-x64.deb »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « cesium-desktop-v1.6.12-linux-x64.deb »

Que faire ? Merci

1 J'aime

J’installe Césium avec cette commande :

sudo dpkg -i cesium-desktop-v1.6.12-linux-x64.deb

2 J'aime
dpkg: avertissement: « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg: avertissement: « start-stop-daemon » introuvable dans la variable PATH ou non exécutable
dpkg: erreur: 2 programmes attendus non trouvés dans la variable PATH ou non exécutables
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin
1 J'aime

Est-ce que ce lien peut t’aider @Cernunos ? Debian User Forums • View topic - dpkg -i errors [SOLVED]

Tu le sais bien, je ne suis pas utilisateur de Debian… Il me semble que @Pini l’est !? ^^

Les messages d’erreur révèlent que le système est bancal. Vérifier que le paquet libc-bin est bien installé (commande dpkg -l libc-bin). S’il n’est pas là c’est mal. L’installer avec apt-get install libc-bin.

1 J'aime

Mon système, bancal ?
la commande dpkg -l libc-bin donne :

Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=atte
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
ii  libc-bin       2.28-10      amd64        GNU C Library: Binaries

Ça veut dire que c’est installé non ?

En effet, depuis la 10, il faut apparemment mettre su - au lieu de su pour passer en root.

ldconfig fait partie de libc-bin, paquet essentiel. S’il n’est pas trouvé par le système (c’est comme ça que j’interprète le msg d’erreur), c’est qu’il y a un problème. Maintenant si libc-bin est bien là c’est autre chose. Il y a plein d’erreurs possibles et tu ne donnes pas énormément de détails…
Je peux tenter de regarder en session interactive via tmate si ça te tente. Dis moi.

Le fait que j’ai utilisé su au lieu de su - ne suffit pas à expliquer l’erreur ?
Mon système n’a aucune raison d’être bancale selon moi…

Ici tu parles de su et su - alors que dans la commande initiale tu utilises sudo. J’avoue que tu me perds un peu :confused: Il vaut mieux utiliser sudo. Et il n’y a aucune raison que ldconfig ne soit pas trouvé dans le contexte de l’installation d’un paquet. il faut donc investiguer. c’est pour ça que je propose une session tmate de partage de terminal.

2 J'aime

@Cernunos. @Pini est mon coach Bash en Ğ1, je lui ferais confiance ! @Pini ? tmate ne fait que transmettre un visuel du terminal de la machine distante ou est-ce que tu peux taper des commandes à distance comme avec SSH ?

tmate permet les deux. terminal en lecture seule ou en interactif.